Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230793 - File descriptors leakage
Summary: File descriptors leakage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 173278 229424
TreeView+ depends on / blocked
 
Reported: 2007-03-02 21:46 UTC by Jan Kratochvil
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: 0.127-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-19 18:17:27 UTC


Attachments (Terms of Use)
Fix + a testcase. (deleted)
2007-03-02 21:46 UTC, Jan Kratochvil
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Sourceware 3863 None None None Never

Description Jan Kratochvil 2007-03-02 21:46:00 UTC
Description of problem:
A program often calling (not caching) dwfl_begin()...dwfl_end() will get out of
the file descriptors (.so and .so.debug files left open in /proc/self/fd/ ).

Version-Release number of selected component (if applicable):
elfutils-0.126-1.i386

How reproducible:
Always

Steps to Reproduce:
Found during libunwind patching for elfutils.  Testcase included.

Actual results:
[virtually]
dwfl-bug-fd-leak: dwfl-bug-fd-leak.c:134: main: Assertion `fd_counted ==
fd_count ()' failed.
/bin/sh: line 4: 22798 Aborted                 ./test-wrapper.sh
../libdw:../backends:../libelf:../libasm ${dir}$tst
FAIL: dwfl-bug-fd-leak

Expected results:
PASS: dwfl-bug-fd-leak

Additional info:

Comment 1 Jan Kratochvil 2007-03-02 21:46:00 UTC
Created attachment 149158 [details]
Fix + a testcase.

Comment 2 Roland McGrath 2007-03-04 22:42:31 UTC
Fixed upstream.

Comment 3 Roland McGrath 2007-04-19 18:17:27 UTC
0.127 fixes this.


Note You need to log in before you can comment on or make changes to this bug.